org.apache.avro

## Class SchemaBuilder.GenericDefault<R>

- java.lang.Object
- - org.apache.avro.SchemaBuilder.GenericDefault<R>

Enclosing class:
  SchemaBuilder

    public static final class SchemaBuilder.GenericDefault<R>
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`SchemaBuilder.FieldAssembler<R>` `noDefault()` Do not use a default value for this field.
`SchemaBuilder.FieldAssembler<R>` `withDefault(Object defaultVal)` Completes this field with the default value provided.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### noDefault

    public SchemaBuilder.FieldAssembler<R> noDefault()

Do not use a default value for this field.

#### withDefault

    public SchemaBuilder.FieldAssembler<R> withDefault(Object defaultVal)

Completes this field with the default value provided. The value must conform to the schema of the field.